package com.ads.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("品牌附件信息")
public class BrandImgDto {

    /**
     * 1：销售授权书authorization；
     * 2：商标注册证书registration_certificate；
     * 3：商标变更证明change_certificate；
     * 4：商标注册申请受理通知书registration_application
     * 5：中华人民共和国海关进口货物报关goods_form
     * 6:   营业执照或组织机构代码证 org_code_certificate；
     */
    @ApiModelProperty("type")
    private String type;

    /**
     * url地址
     */
    @ApiModelProperty("url")
    private String url;
}
