package com.ads.business.service;

import com.ads.business.entity.HsayiOrderInfo;
import com.ads.business.model.rep.OrderPayReqVo;
import com.ads.business.service.data.order.OrderPayReq;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiOrderInfoService extends IService<HsayiOrderInfo> {

    /**
     * [同步订单]
     *
     * @param vo
     * @return void
     * @author huzhihao
     * @date 2021/12/27 17:31
     */
    void syncOrder(OrderPayReqVo vo);


    /**
     * [同步订单]
     *
     * @param data
     * @return void
     * @author huzhihao
     * @date 2021/12/27 17:31
     */
    void syncOrder(String data);
}
