package com.ads.business.service.data.spu;

import lombok.Data;

import java.util.List;

/**
 * 商品信息
 *
 * @author huzhihao
 * @date 2021-12-24 14:23
 **/
@Data
public class Spu {

    private String out_product_id;
    private String title;
    private String path;
    private List<String> head_img;
    private List<String> qualification_pics;
    private DescInfo desc_info;
    private AuditInfo audit_info;
    private Integer third_cat_id;
    private Long brand_id;
    private String info_version;
    private String create_time;
    private String update_time;
    private List<Sku> skus;
    private Integer status;
    private Integer edit_status;
}