package com.ads.common.constant;

/**
 * @author wuyifeng
 * @Description 提示语
 * @Date 2020/3/18 16:13
 */
public class UtilMessage {
    /**
     * 通用提示 start
     */
    /*------- 通用的获取数据提示 start -------------------- */
    public static final String SUCCESS = "成功！";//提示：成功！
    public static final String ADD_SUCCESS = "新增成功！";//提示：成功！
    public static final String SYNC_SUCCESS = "同步成功！";//提示：成功！
    public static final String GET_MESSAGE_SUCCESS = "获取数据成功！";//提示：获取数据成功！
    public static final String GET_MESSAGE_ERROR = "获取数据失败！";//提示：获取数据失败！

    public static final String PASSWORD_MESSAGE_SUCCESS = "密码重置成功！";//提示：密码重置成功！
    public static final String PASSWORD_MESSAGE_ERROR = "密码重置失败！";//提示：密码重置失败！

    /*------- 通用的保存提示 start --------------------*/
    public static final String SAVE_MESSAGE_SUCCESS = "保存成功！";//提示：保存成功！
    public static final String SAVE_MESSAGE_ERROR = "保存失败！";//提示：保存失败！

    public static final String IMPORT_MESSAGE_SUCCESS = "导入成功！";//提示：导入成功！
    public static final String IMPORT_MESSAGE_ERROR = "导入失败！";//提示：导入失败！

    public static final String EXPORT_MESSAGE_SUCCESS = "提示：导出成功！";//提示：导出成功！
    public static final String EXPORT_MESSAGE_ERROR = "提示：导出失败！";//提示：导出失败！
    public static final String NO_DATA_EXPORT = "无数据导出！";//提示：无数据导出！

    public static final String DISABLE_MESSAGE_SUCCESS = "禁用成功！";//提示：禁用成功！
    public static final String DISABLE_MESSAGE_ERROR = "禁用失败！";//提示：禁用失败！

    public static final String ENABLE_MESSAGE_SUCCESS = "启用成功！";//提示：启用成功！
    public static final String ENABLE_MESSAGE_ERROR = "启用失败！";//提示：启用失败！

    public static final String UPDATE_MESSAGE_SUCCESS = "修改成功！";

    /*------- 通用的删除提示 start --------------------*/
    public static final String DEL_MESSAGE_SUCCESS = "删除成功！";//提示：删除成功！
    public static final String DEL_MESSAGE_ERROR = "删除失败！";//提示：删除失败！
    public static final String DEL_MESSAGE_ONE = "至少保留一条！";//提示：至少保留一条！


    /*------- 通用的登录提示 start --------------------*/
    public static final String ERROR_MESSAGE = "服务器出现了一些小状况，正在修复中！";//提示：服务器出现了一些小状况，正在修复中！

    public static final String LOGIN_SUCCESS = "登录成功！";//提示：登录成功！
    public static final String LOGIN_ERROR = "login.error";//提示：登录失败！

    public static final String LOGIN_OUT_SUCCESS = "登出成功";//提示：登出成功！

    public static final String LOGIN_NO_ACCOUNT = "账号或密码错误，请重新输入";//提示：账号不存在

    public static final String LOGIN_ACCOUNT_INVALID = "账号已禁用";//提示：账号已禁用

    public static final String LOGIN_STATUS_ERROR = "login.status.error";//提示：账号已失效，请重新登录！

    public static final String LOGIN_PASSWORD_ERROR = "密码不正确";//提示：密码不正确

    public static final String LGOIN_NO_ACCESS_ERROR = "login.no.access.error";//提示：无访问权限，限制访问！

    public static final String UPDATE_PWD_LENGTH = "update.pwd.length";//提示：请保持密码长度在6-20位

    public static final String UPDATE_PWD_SAME_PASSWORD = "新密码和旧密码不能相同";//提示：新密码和旧密码不能相同

    public static final String UPDATE_PWD_OLD_PASSWORD_ERROR = "update.pwd.old.password.error";//提示：旧密码错误

    public static final String UPDATE_PWD_IS_NULL = "update.pwd.is.null";//提示：密码不能为空

    public static final String UPDATE_PHONE_IS_NULL = "update.phone.is.null";//提示：手机不能为空

    public static final String LOGIN_CODE_ERROR = "login.code.error";//提示：动态验证码错误

    public static final String HTTP_ERROR = "请求错误！";//提示：请求错误！
    /**
     * 通用提示 end
     */

    /*--------- 系统管理--------*/
    public static final String USER_EMPTY = "用户不存在";// 提示：用户不存在
    public static final String USER_ACCOUNT_EXIST = "账号已存在，请重新输入";// 提示：账号已存在，请重新输入
    public static final String USER_ADMIN_DELETE = "user.admin.delete";// 提示：管理员不能被删除
    public static final String ROLE_EMPTY = "role.empty";// 提示：角色不存在
    public static final String ROLE_NAME_EXIST = "role.name.exist";// 提示：名称已存在，请重新输入
    public static final String ROLE_ADMIN_DELETE = "role.admin.delete"; // 提示：管理员角色不可删除
    public static final String DATA_EMPTY = "数据不存在";// 提示：用户不存在

    /*--------- Quartz 定时任务--------*/
    public static final String GET_QUARTZ_INFO_SUCCESS = "提示: 获取定时任务列表";

    public static final String QUARTZ_IN_PARAM_IS_NOT_EXIST = "提示: 定时任务入参不存在";

    public static final String QUARTZ_INFO_IS_EXIST = "提示: 定时任务已存在";

    public static final String QUARTZ_INFO_UPDATE_SUCCESS = "提示: 定时任务修改成功";


    public static final String CONVERSATION_NOT_EXIST = "提示: 会话不存在";

    public static final String DING_USER_NOT_EXIST = "手机号：%s不在企业组织架构中";


}
