package com.ads.common.enums;

/**
 * [商品线上状态]
 * @author huzhihao
 * @date 2021/12/24 11:18
 */
public enum SpuEditStatusEnum {

    NOT_AUDIT(1	, "未审核"),
    AUDITING(2	, "审核中"),
    FAIL(3	, "审核失败"),
    SUCCESS(4	, "审核成功"),
    ;
    private Integer code;

    private String desc;

    SpuEditStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode(){return this.code;}

    public String getDesc(){return this.desc;}

    public static String getByCode(Integer code){
        for (SpuEditStatusEnum value : SpuEditStatusEnum.values()) {
            if (value.code.equals(code)){
                return value.getDesc();
            }
        }
        return null;
    }
}
