package com.ads.business.dao;

import com.ads.business.entity.HsayiBrandInfo;
import com.ads.business.model.rep.BrandInfoReqVo;
import com.ads.business.model.resq.BrandInfoDetailRespVo;
import com.ads.business.model.resq.BrandInfoRespVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 品牌表 Mapper 接口
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiBrandInfoDao extends BaseMapper<HsayiBrandInfo> {

    /**
     * 列表
     *
     * @param vo
     * @return
     */
    Page<BrandInfoRespVo> findPage(@Param("page") Page page, @Param("vo") BrandInfoReqVo vo);

    /**
     * 详情
     *
     * @param brandInfoId
     * @return
     */
    BrandInfoDetailRespVo detail(Long brandInfoId);
}
