package com.ads.business.model.rep;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("品牌列表入参")
public class BrandInfoReqVo extends BasePageRequest {

    @ApiModelProperty(value = "商标/品牌词")
    private String brand_wording;

    @ApiModelProperty(value = "商标分类")
    private Integer trademark_type;

    @ApiModelProperty(value = "品牌经营类型")
    private Integer brand_management_type;

    @ApiModelProperty(value = "审核状态,1:已通过,9:拒绝 0:审核中")
    private String status;
}
