package com.ads.business.model.rep;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("类目列表信息入参")
public class CategoryInfoReqVo extends BasePageRequest {

    @ApiModelProperty("一级类目")
    private Integer level1;

    @ApiModelProperty("二级类目")
    private Integer level2;

    @ApiModelProperty("三级类目")
    private Integer level3;

    @ApiModelProperty("申请类目")
    private String level3_name;

    @ApiModelProperty("审核状态,1:已通过,9:拒绝;0审核中")
    private String status;

}
