package com.ads.business.service;

import com.ads.business.entity.HsayiAftersaleInfo;
import com.ads.business.model.rep.AftersaleAddReqVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 售后信息表 服务类
 * </p>
 *
 * @author huzhihao
 * @since 2022-01-06
 */
public interface HsayiAftersaleInfoService extends IService<HsayiAftersaleInfo> {

    /***
     * 同步售后
     * @param vo
     * @return void
     * @author huzhihao
     * @date 2022/1/6 17:09
     */
    void syncAftersale(AftersaleAddReqVo vo);

    /**
     * [同步售后]
     *
     * @param data
     * @return void
     * @author huzhihao
     * @date 2022/1/10 11:34
     */
    void syncAftersale(String data);
}
