package com.ads.common.enums;

/**
 * @Return
 * @Destription 品牌经营类型
 */
public enum BrandManagementTypeEnum {
    ZYPP(1	, "自有品牌"),
    DLPP(2	, "代理品牌"),
    WPP(3	, "无品牌"),
    ;
    private Integer code;

    private String desc;

    BrandManagementTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode(){return this.code;}

    public String getDesc(){return this.desc;}

    public static BrandManagementTypeEnum getByCode(Integer code){
        for (BrandManagementTypeEnum value : BrandManagementTypeEnum.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }
}
