package com.ads.common.enums;

/**
 * [商品草稿状态]
 * @author huzhihao
 * @date 2021/12/24 11:18
 */
public enum SpuStatusEnum {

    INITIAL(0	, "初始值"),
    ON_SHELF(5	, "上架"),
    OFF_SHELF(11	, "自主下架"),
    ILLEGAL(13	, "违规下架/风控系统下架"),
    ;
    private Integer code;

    private String desc;

    SpuStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode(){return this.code;}

    public String getDesc(){return this.desc;}

    public static SpuStatusEnum getByCode(Integer code){
        for (SpuStatusEnum value : SpuStatusEnum.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }
}
