package com.ads.common.enums;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * @Return
 * @Destription 商标分类
 * 商标共有45个分类，请按商标实际分类上传，如第45类商标，上传45即可。
 */
public class TrademarkTypeEnum {
    ;
    private Integer code;

    private String desc;

    TrademarkTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }

    public static List<TrademarkTypeEnum> getTrademarkTypes() {
        List<TrademarkTypeEnum> list = Lists.newArrayList();
        for (Integer i = 1; i <= 45; i++) {
            TrademarkTypeEnum typeEnum = new TrademarkTypeEnum(i, "第" + i + "类");
            list.add(typeEnum);
        }
        return list;
    }
}
