package com.ads.common.exception;

import lombok.Data;

/**
 * [微信接口回调异常]
 *
 * @author huzhihao
 * @date 2021/12/23 14:18
 */
@Data
public class WechatApiErrException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    private Integer code;

    private String message;

    public WechatApiErrException(String message) {
        this.message = message;
    }

    public WechatApiErrException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public WechatApiErrException(String message, Throwable e) {
        super(message, e);
        this.message = message;
    }
}
