package com.ads.common.util;

/**
 * @author wuyifeng
 * @Description 提示语
 * @Date 2020/3/18 16:13
 */
public class UtilMessage {
    /**
     * 通用提示 start
     */
    /*------- 通用的获取数据提示 start -------------------- */
    public static final String SUCCESS = "成功！";//提示：成功！
    public static final String ADD_SUCCESS = "新增成功！";//提示：成功！
    public static final String SYNC_SUCCESS = "同步成功！";//提示：成功！
    public static final String GET_MESSAGE_SUCCESS = "获取数据成功！";//提示：获取数据成功！
    public static final String GET_MESSAGE_ERROR = "获取数据失败！";//提示：获取数据失败！

    public static final String PASSWORD_MESSAGE_SUCCESS = "密码重置成功！";//提示：密码重置成功！
    public static final String PASSWORD_MESSAGE_ERROR = "密码重置失败！";//提示：密码重置失败！

    /*------- 通用的保存提示 start --------------------*/
    public static final String SAVE_MESSAGE_SUCCESS = "保存成功！";//提示：保存成功！
    public static final String SAVE_MESSAGE_ERROR = "保存失败！";//提示：保存失败！

    public static final String IMPORT_MESSAGE_SUCCESS = "导入成功！";//提示：导入成功！
    public static final String IMPORT_MESSAGE_ERROR = "导入失败！";//提示：导入失败！

    public static final String EXPORT_MESSAGE_SUCCESS = "提示：导出成功！";//提示：导出成功！
    public static final String EXPORT_MESSAGE_ERROR = "提示：导出失败！";//提示：导出失败！
    public static final String NO_DATA_EXPORT = "无数据导出！";//提示：无数据导出！

    public static final String UPDATE_MESSAGE_SUCCESS = "修改成功！";

    public static final String VALIDATE_ERROR = "验证失败！";//提示：请求错误！

    /*------- 通用的删除提示 start --------------------*/
    public static final String DEL_MESSAGE_SUCCESS = "删除成功！";//提示：删除成功！
    public static final String DEL_MESSAGE_ERROR = "删除失败！";//提示：删除失败！
    public static final String DEL_MESSAGE_ONE = "至少保留一条！";//提示：至少保留一条！


    public static final String HTTP_ERROR = "请求错误！";//提示：请求错误！

    /*  ------商品提示信息------*/
    public static final String COMMODITY_ID_NOEXIST = "商品ID已存在！";//提示：商品ID不存在！
    public static final String COMMODITY_NOEXIST = "商品不存在！";//提示：商品不存在！
    public static final String COMMODITY_DOWN_MESSAGE_SUCCESS = "下架成功！";//提示：下架成功！
    public static final String COMMODITY_UP_MESSAGE_SUCCESS = "上架待审核！";//提示：上架待审核！
    public static final String COMMODITY_SUBMIT_MESSAGE_SUCCESS = "商品提交,待审核！";//提示：商品提交,待审核！
    public static final String COMMODITY_EDIT_MESSAGE_SUCCESS = "商品已修改,待审核！";//提示：商品提交,待审核！
    public static final String HEAD_IMG_FAILURE = "商品图片有误";
    public static final String QUALIFICATION_PIC_FAILURE = "商品资质图片有误";
    public static final String CALLBACK_COMMODITY_NOT_EXIST = "回调失败，商品信息不存在，请检查";

    /*  ------品牌提示信息------*/
    public static final String BRAND_NOEXIST = "品牌不存在！";//提示：品牌不存在！
    public static final String BRAND_EXIST = "商标注册号/申请号已存在！";//提示：商标/品牌已存在！
    public static final String BRAND_SUBMIT_MESSAGE_SUCCESS = "品牌提交,待审核！";//提示：商品提交,待审核！
    public static final String BRAND_EDIT_MESSAGE_SUCCESS = "品牌已修改,待审核！";//提示：商品提交,待审核！

    /*  ------类目提示信息------*/
    public static final String CATEGORY_NOEXIST = "类目不存在！";//提示：类目不存在！
    public static final String CATEGORY_EXIST = "类目已存在！";//提示：类目已存在！
    public static final String CATEGORY_NAME_EXIST = "三级类目名称已存在！";//提示：三级类目名称已存在！
    public static final String CATEGORY_SUBMIT_MESSAGE_SUCCESS = "类目提交,待审核！";//提示：商品提交,待审核！
    public static final String CATEGORY_EDIT_MESSAGE_SUCCESS = "类目已修改,待审核！";//提示：商品提交,待审核！

    /*  ------订单提示信息------*/
    public static final String TRANSACTION_ID_EMPTY = "支付订单号不能为空";
    public static final String PAY_TIME_EMPTY = "支付完成时间不能为空";
    public static final String ORDER_NOT_FOUND = "订单不存在！";//提示：订单不存在！
}
